Name:          java-testng
Version:       5.9
Release:       5mamba
Summary:       A testing framework inspired from JUnit and NUnit
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://testng.org/doc/documentation-main.html
# http://testng.googlecode.com/svn/tags/5.10/
Source0:       http://testng.org/testng-%{version}.zip
Source1:       http://testng.googlecode.com/svn/tags/%{version}/pom.xml
# svn export http://testng.googlecode.com/svn/trunk/test-14/
# svn export http://testng.googlecode.com/svn/trunk/maven/ maven
# tar czf testng-5.9-maven-plugin-src-svn.tar.gz maven
Source2:       testng-%{version}-maven-plugin-src-svn.tar.gz
Patch:         java-testng-5.9-build_xml-notest.patch
# svn export http://testng.googlecode.com/svn/trunk/test/
License:       Apache Software License Version 2.0
Group:         Documentation
BuildRequires: apache-ant
BuildRequires: apache-ant-junit
BuildRequires: jakarta-commons-logging
%if "%{stage1}" != "1"
BuildRequires: jakarta-commons-jelly-tags-jsl
BuildRequires: jakarta-commons-jelly-tags-xml
%endif
BuildRequires: java-backport-util-concurrent
BuildRequires: java-DTDDoc
BuildRequires: java-bsh2
BuildRequires: java-junit3
BuildRequires: java-qdox16
#BuildRequires: spring-framework >= 2.0.2  todo
BuildRequires: jpackage-utils
BuildRequires: xalan-j2
Requires:      java-backport-util-concurrent
Requires:      java-bsh2
Requires:      java-qdox16
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
TestNG is a testing framework inspired from JUnit and NUnit but introducing some new functionalities that make it more powerful and easier to use.

%package javadoc
Group:         Documentation
Summary:       Javadoc for %{name}

%description javadoc
TestNG is a testing framework inspired from JUnit and NUnit but introducing some new functionalities that make it more powerful and easier to use.

This package contains javadoc for %{name}.

%package manual
Group:         Documentation
Summary:       Documents for %{name}

%description manual
TestNG is a testing framework inspired from JUnit and NUnit but introducing some new functionalities that make it more powerful and easier to use.

This package contains documents for %{name}.

%package -n testng-maven-plugin
Group:         Development/Libraries/Java
Summary:       TestNG Maven Plugin
%if "%{stage1}" != "1"
Requires:      apache-maven2
Requires:      jakarta-commons-jelly-tags-jsl
Requires:      jakarta-commons-jelly-tags-xml
%endif
Requires:      %{name}

%description -n testng-maven-plugin
TestNG is a testing framework inspired from JUnit and NUnit but introducing some new functionalities that make it more powerful and easier to use.

This package contains TestNG Maven Plugin.

%prep
%setup -q -n testng-%{version} -a 2
%patch -p1

for f in $(find . -name "*.jar"); do
	mv $f $f.no
done

pushd 3rdparty
	ln -sf $(build-classpath backport-util-concurrent) backport-util-concurrent-2.2.jar
	ln -sf $(build-classpath bsh2/bsh) bsh-2.0b4.jar
	ln -sf $(build-classpath qdox16) qdox-1.6.1.jar
	ln -sf $(build-classpath junit-3.8.2) junit.jar
popd

#	ln -sf $(build-classpath commons-logging) spring/3rdparty/commons-logging-1.0.4.jar
# mv ./spring/3rdparty/spring-mock.jar ./spring/3rdparty/spring-mock.jar.no 2.0.2
# mv ./spring/3rdparty/spring.jar ./spring/3rdparty/spring.jar.no 2.0.2
# mv ./spring/3rdparty/commons-logging-1.0.4.jar ./spring/3rdparty/commons-logging-1.0.4.jar.no

%build
export JAVA_HOME=%{_jvmdir}/jdk
export CLASSPATH=$(build-classpath junit-3.8.2 qdox16 xalan-j2-serializer \
	DTDDoc bsh2/bsh backport-util-concurrent ant/ant-junit)
ant dev

%if "%{stage1}" != "1"
export CLASSPATH=$CLASSPATH:$(build-classpath commons-jelly-tags-xml commons-jelly-tags-jsl):testng-%{version}-jdk15.jar:testng-%{version}-jdk14.jar
%endif
ant -Dtestng-maven.version=2.2.0 maven-plugin

export CLASSPATH=$CLASSPATH:testng-%{version}-jdk15.jar:testng-%{version}-jdk14.jar
ant javadocs

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

mkdir -p %{buildroot}%{_javadir}
mkdir -p %{buildroot}%{_datadir}/maven2/poms
mkdir -p %{buildroot}%{_datadir}/maven2/plugins

install -pm 644 testng-%{version}-jdk14.jar %{buildroot}%{_javadir}/testng-jdk14-%{version}.jar
%add_to_maven_depmap org.testng testng-jdk14 %{version} JPP testng-jdk14
install -pm 644 testng-%{version}-jdk15.jar %{buildroot}%{_javadir}/testng-jdk15-%{version}.jar
%add_to_maven_depmap org.testng testng-jdk15 %{version} JPP testng-jdk15
%add_to_maven_depmap org.testng testng %{version} JPP testng-jdk15

(
	cd %{buildroot}%{_javadir}
	for jar in *-%{version}*.jar; do
		ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`
	done
)

install -pm 644 maven-testng-plugin-2.2.0.jar \
	%{buildroot}%{_javadir}/testng-maven-plugin-2.2.0.jar
install -pm 644 maven/project.xml \
   	%{buildroot}%{_datadir}/maven2/poms/JPP-testng-maven-plugin.pom
%add_to_maven_depmap org.testng maven-testng-plugin 1.2 JPP testng-maven-plugin

(
	cd %{buildroot}%{_javadir}
	for jar in *-2.2.0*; do
		ln -sf ${jar} `echo $jar| sed  "s|-2.2.0||g"`
	done
)

install -pm 644 %{S:1} \
   	%{buildroot}%{_datadir}/maven2/poms/JPP-testng.pom

mkdir -p %{buildroot}%{_javadocdir}/testng-%{version}
cp -pr javadocs/* %{buildroot}%{_javadocdir}/testng-%{version}
ln -s testng-%{version} %{buildroot}%{_javadocdir}/testng

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_javadir}/testng-jdk14-%{version}.jar
%{_javadir}/testng-jdk14.jar
%{_javadir}/testng-jdk15-%{version}.jar
%{_javadir}/testng-jdk15.jar
%{_datadir}/maven2/poms
%exclude %{_datadir}/maven2/poms/JPP-testng-maven-plugin.pom
%{_mavendepmapfragdir}
%doc README

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/testng-%{version}
%{_javadocdir}/testng

%files  manual
%defattr(-,root,root)
%doc doc *.txt

%files -n testng-maven-plugin
%defattr(-,root,root)
%{_javadir}/testng-maven-plugin-2.2.0.jar
%{_javadir}/testng-maven-plugin.jar
%{_datadir}/maven2/poms/JPP-testng-maven-plugin.pom

%changelog
* Sun Aug 14 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 5.9-5mamba
- testng-maven-plugin: require apache-maven2 insted of apache-maven to fix dependencies. Will test this better later

* Thu Nov 25 2010 gil <puntogil@libero.it> 5.9-4mamba
- rebuilt devel

* Thu Apr 15 2010 gil <puntogil@libero.it> 5.9-3mamba
- fix javadoc error

* Thu Jul 23 2009 gil <puntogil@libero.it> 5.9-2mamba
- added testng-maven-plugin sub package

* Sat Jun 06 2009 gil <puntogil@libero.it> 5.9-1mamba
- package created by autospec
